#
# spec file for package mailimporter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mailimporter
Version:        16.07.90
Release:        0
Summary:        Base package of kdepim
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  akonadi-mime-devel = %{version}
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  karchive-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kmime-devel
BuildRequires:  libkdepim-devel
BuildRequires:  pkgconfig(Qt5Test) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the mailimporter library.

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5MailImporter5
Summary:        MailImporter library for kdepim
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libKF5MailImporter5
MailImporter Library

%post  -n libKF5MailImporter5 -p /sbin/ldconfig
%postun -n libKF5MailImporter5 -p /sbin/ldconfig

%package devel
Summary:        Development package for mailimporter
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libKF5MailImporter5 = %{version}

%description devel
The development package for the mailimporter libraries

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/mailimporter/
%{_includedir}/KF5/MailImporter/
%{_includedir}/KF5/mailimporter_version.h
%{_libdir}/cmake/KF5MailImporter/
%{_libdir}/libKF5MailImporter.so
%{_libdir}/qt5/mkspecs/modules/qt_MailImporter.pri

%files -n libKF5MailImporter5
%defattr(-,root,root)
%{_libdir}/libKF5MailImporter.so.*

%files
%defattr(-,root,root)
%{_kf5_configdir}/mailimporter.categories

%changelog
